%global srcname joblib

%global common_description						\
Joblib is a set of tools to provide lightweight pipelining in Python.	\
In particular, joblib offers:						\
 * transparent disk-caching of the output values and lazy		\
   re-evaluation (memorize pattern)					\
 * easy simple parallel computing					\
 * logging and tracing of the execution

Name: python-%{srcname}
Version: 0.10.0
Release: 2%{?dist}
Summary: Lightweight pipelining: using Python functions as pipeline jobs
License: BSD

URL: http://pythonhosted.org/joblib
Source0: https://pypi.io/packages/source/j/joblib/joblib-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python2-devel python3-devel

%description
%{common_description}

%package -n python2-%{srcname}
Summary: Lightweight pipelining: using Python functions as pipeline jobs
BuildRequires: numpy python2-nose
# Required by doctests
BuildRequires: python-setuptools python-sphinx
%{?python_provide:%python_provide python2-%{srcname}}
Requires: numpy

%description -n python2-joblib
%{common_description}

%package -n python3-joblib
Summary: Lightweight pipelining: using Python functions as pipeline jobs

BuildRequires: python3-setuptools python3-sphinx
# Required by doctests
BuildRequires: python3-numpy python3-nose
%{?python_provide:%python_provide python3-%{srcname}}
Requires: python3-numpy

%description -n python3-joblib
%{common_description}

%prep
%setup -q -n %{srcname}-%{version} 

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
%{__python2} %{py_setup} %{?py_setup_args} build_sphinx
rm build/sphinx/html/.buildinfo

%check
pushd %{buildroot}/%{python2_sitelib}
  nosetests-%{python2_version} -v joblib
popd

pushd %{buildroot}/%{python3_sitelib}
  nosetests-%{python3_version} -v joblib
popd

%files -n python2-%{srcname}
%doc build/sphinx/html README.rst doc/CHANGES.rst
%license README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc build/sphinx/html README.rst doc/CHANGES.rst
%license README.rst
%{python3_sitelib}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jul 13 2016 Sergio Pascual <sergiopr@fedoraproject.org> - 0.10.0-1
- New upstream source (0.10.0)
- Updated pypi url

* Tue Mar 29 2016 Sergio Pascual <sergiopr@fedoraproject.org> - 0.9.4-1
- New upstream source (0.9.4)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 26 2015 Sergio Pascual <sergiopr@fedoraproject.org> - 0.9.3-3
- Add patch to fix the testing errors

* Tue Nov 24 2015 Sergio Pascual <sergiopr@fedoraproject.org> - 0.9.3-2
- New upstream release (0.9.3)
- Using new python macros
- Disable failling tests (https://github.com/joblib/joblib/issues/278)

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 02 2015 Sergio Pascual <sergiopr@fedoraproject.org> - 0.8.4-1
- New upstream release (0.8.4)

* Wed Sep 03 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 0.8.3-1
- New upstream release (0.8.3)

* Wed Jul 02 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 0.8.2-1
- New upstream release (0.8.2)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 0.8.0-2
- Reverted stylistic changes
- Run checks on installed files
- Use tarball from PyPI

* Mon Jun 02 2014 Björn Esser <bjoern.esser@gmail.com> - 0.8.0-1
- new stable upstream
- restructured spec-file
- include README from src-tarball in %%doc
- updated python2-macros
- make testsuite a bit more verbose
- preserve timestamps of modified files
- use tarball from github-tags

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.8.0-0.2.a2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Jan 09 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 0.8.0-0.1.a2
- New upstream prerelease (0.8.0a2)

* Sun Aug 25 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 0.7.1-2
- Removing upstream egg
- Adding BR python(3)-setuptools

* Sat Aug 24 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 0.7.1-1
- New upstream version (0.7.1)

* Thu Jul 4 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 0.7.0d-1
- Adding index.rst before importing
